Package org.eclipse.ecf.osgi.services.remoteserviceadmin

# Class EndpointDescriptionLocator.EndpointEventListenerHolder

java.lang.Object
org.eclipse.ecf.osgi.services.remoteserviceadmin.EndpointDescriptionLocator.EndpointEventListenerHolder

Enclosing class:
  EndpointDescriptionLocator

public class EndpointDescriptionLocator.EndpointEventListenerHolder extends Object

Since:
  4.1

## Constructor Summary

Constructors
Constructor
Description
`EndpointEventListenerHolder(EndpointEventListener l, EndpointDescription d, String f, int t)`

## Method Summary

Modifier and Type
Method
Description
`EndpointDescription`
`getDescription()`
`EndpointEventListener`
`getListener()`
`String`
`getMatchingFilter()`
`int`
`getType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EndpointEventListenerHolder

public EndpointEventListenerHolder(EndpointEventListener l, EndpointDescription d, String f, int t)

## Method Details

### getListener

public EndpointEventListener getListener()

### getDescription

public EndpointDescription getDescription()

### getMatchingFilter

public String getMatchingFilter()

### getType

public int getType()